Subject: Re: bug#14333: 24.3.50; Emacs hangs when trying to exit

From: Eli Zaretskii <[email-masked]>
Date: Wed, 15 May 2013 23:42:44 +0300

> Date: Wed, 15 May 2013 21:11:42 +0200
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked]
> 
> Normally, the sessions that get stuck have lasted several days, but
> the one that I reported today is a one-day session, in which I think I
> didn't visit a single file, and certainly I didn't visit a network
> file.

The code involved in this is not about network _files_, it's about
network _connections_, like using the url package or Tramp or FTP.  It
could also be related to the Emacs server and using emacsclient.  So
maybe trying to shut down the Emacs server manually before exiting
Emacs might prevent the lockup.

Try typing "netstat -nbo" at the cmd prompt, it should show you what
network connections belong to Emacs.